Deprovision a Managed Organizational Unit Early access
Read as MarkdownDescription #
Deprovisions a Managed Organizational Unit, such as when a customer stops using scheduling in your product.
Authentication is with your application’s client_secret.
URL format #
{data_center_url}/v1/organizational_units
Example Request #
DELETE /v1/organizational_units HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {CLIENT_SECRET}
Content-Type: application/json; charset=utf-8
{
"organizational_unit_id": "customer-123"
}Example Response #
HTTP/1.1 202 AcceptedRequest Parameters #
data_center_url Required
The URL for the data center you want to communicate with. Possible choices are:
api-au.cronofy.com- π¦πΊ Australiaapi-ca.cronofy.com- π¨π¦ Canadaapi-de.cronofy.com- π©πͺ Germanyapi-sg.cronofy.com- πΈπ¬ Singaporeapi-uk.cronofy.com- π¬π§ United Kingdomapi.cronofy.com- πΊπΈ United States
Find out more about Cronofy's data centers.
organizational_unit_id Required #
Your application’s identifier for the Managed Organizational Unit, as given
when it was
provisioned
String.
Response Parameters #
This request has no response body.
Error responses #
401 Unauthorized #
The request was refused as the provided authentication credentials were not recognized.
404 Not Found #
Your application hasn’t provisioned a Managed Organizational Unit with that
organizational_unit_id.
422 Unprocessable #
The request was unable to be processed due to it containing invalid parameters.